Debian Bug report logs - #213994
[fixed in 4.1] Please provide an overflow protection in the stock compiler

version graph

Package: gcc; Maintainer for gcc is Debian GCC Maintainers <debian-gcc@lists.debian.org>; Source for gcc is src:gcc-defaults.

Reported by: Javier Fernández-Sanguino Peña <jfs@computer.org>

Date: Fri, 3 Oct 2003 19:18:02 UTC

Severity: wishlist

Tags: fixed-in-experimental, upstream

Merged with 233208

Fixed in version gcc-4.1/4.1.1-8

Done: Matthias Klose <doko@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#213994; Package gcc-3.3. Full text and rfc822 format available.

Acknowledgement sent to Javier Fernández-Sanguino Peña <jfs@computer.org>:
New Bug report received and forwarded. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@computer.org>
To: submit@bugs.debian.org
Subject: gcc-3.3: Please provide an overflow protection in the stock compiler
Date: Fri, 3 Oct 2003 21:03:36 +0200
[Message part 1 (text/plain, inline)]
Package: gcc-3.3
Version: 1:3.3.2-0pre4
Priority: wishlist
Tags: upstream

I would very much like stack/buffer overflow protection such as (StackGuard
[1] or to Stack Smashing Protector [2]) be available in Debian's stock
gcc-3.3 compiler. The people at Immunix are making an effort to integrate
StackGuard's latest version (3) into gcc, so maybe this will come by 
itself.

Even if Debian packages might not be compiled with this protection, it 
would make it easier for Debian-derived distributions to recompile packages 
if Debian's compilers already featured this option.

Regards

Javi


[1] http://www.immunix.org/stackguard.html
Used to build the Immunix distribution.
[2] http://www.research.ibm.com/trl/projects/security/ssp/
Used to build the Adamantix Debian-derived distribution.

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#213994; Package gcc-3.3. Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@cs.tu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 213994@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@cs.tu-berlin.de>
To: Javier Fernández-Sanguino Peña <jfs@computer.org>, 213994@bugs.debian.org
Subject: Re: Bug#213994: gcc-3.3: Please provide an overflow protection in the stock compiler
Date: Sat, 4 Oct 2003 18:47:06 +0200
Javier Fernández-Sanguino Peña writes:
> Even if Debian packages might not be compiled with this protection, it 
> would make it easier for Debian-derived distributions to recompile packages 
> if Debian's compilers already featured this option.

a stack-protector patch is included (but not applied) in
debian/patches. I'll do the same with stackguard, if you send me a
working patch.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#213994; Package gcc-3.3. Full text and rfc822 format available.

Acknowledgement sent to "Dr. David Alan Gilbert" <gilbertd@treblig.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 213994@bugs.debian.org (full text, mbox):

From: "Dr. David Alan Gilbert" <gilbertd@treblig.org>
To: Matthias Klose <doko@cs.tu-berlin.de>, 213994@bugs.debian.org
Cc: Javier Fernández-Sanguino Peña <jfs@computer.org>
Subject: Re: Bug#213994: gcc-3.3: Please provide an overflow protection in the stock compiler
Date: Sat, 4 Oct 2003 18:18:38 +0100
* Matthias Klose (doko@cs.tu-berlin.de) wrote:
> Javier Fernández-Sanguino Peña writes:
> > Even if Debian packages might not be compiled with this protection, it 
> > would make it easier for Debian-derived distributions to recompile packages 
> > if Debian's compilers already featured this option.
> 
> a stack-protector patch is included (but not applied) in
> debian/patches. I'll do the same with stackguard, if you send me a
> working patch.

If this is something that would have no effect except when enabled by
a compile time switch then I'd appreciate it if it was actually applied.
It could encourage package maintainers to build with it.

Dave
 -----Open up your eyes, open up your mind, open up your code -------   
/ Dr. David Alan Gilbert    | Running GNU/Linux on Alpha,68K| Happy  \ 
\ gro.gilbert @ treblig.org | MIPS,x86,ARM,SPARC,PPC & HPPA | In Hex /
 \ _________________________|_____ http://www.treblig.org   |_______/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#213994; Package gcc-3.3. Full text and rfc822 format available.

Acknowledgement sent to Javier Fernández-Sanguino Peña <jfs@computer.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 213994@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@computer.org>
To: 213994@bugs.debian.org
Subject: Consider including this patch too [[ANNOUNCE] glibc heap protection patch]
Date: Tue, 2 Dec 2003 10:15:41 +0100
[Message part 1 (text/plain, inline)]
This patch has been recently announced in bugtraq and might be also 
relevant.

Aside from providing these patches at debian/patches, is there any way they 
could be applied to the stock gcc-3.3 package? As I understand it, in order 
for these to be activated sources need to be compiled with an explicit 
option. What harm is there in patching Debian's gcc-3.3? Any known issues 
in some of our supported platforms?

Regards

Javi


-------- Original Message --------
Subject: [ANNOUNCE] glibc heap protection patch
Date: Mon, 1 Dec 2003 11:31:03 -0800
From: William Robertson <wkr@cs.ucsb.edu>
To: sectools@securityfocus.com, bugtraq@securityfocus.com, 
focus-ids@securityfocus.com

Hi all,

I'd just like to announce that we have a heap protection system for
glibc available for download. The system detects and prevents all heap
overflow exploits that modify inline control information from
succeeding against a protected application, can be installed
system-wide or on a per-process basis using LD_PRELOAD, and is
transparent to existing applications.

We would definitely appreciate any feedback and bug reports on the
code. The patch and some additional information is available at:

http://www.cs.ucsb.edu/~wkr/projects/heap_protection/

Enjoy!

--
William Robertson
Reliable Software Group, UC Santa Barbara
http://www.cs.ucsb.edu/~wkr/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#213994; Package gcc-3.3. Full text and rfc822 format available.

Acknowledgement sent to Falk Hueffner <falk.hueffner@student.uni-tuebingen.de>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 213994@bugs.debian.org (full text, mbox):

From: Falk Hueffner <falk.hueffner@student.uni-tuebingen.de>
To: Javier Fernández-Sanguino Peña <jfs@computer.org>
Cc: 213994@bugs.debian.org
Subject: Re: Bug#213994: Consider including this patch too [[ANNOUNCE] glibc heap protection patch]
Date: 03 Dec 2003 14:03:50 +0100
Javier =?iso-8859-15?Q?Fern=E1ndez-Sanguino_Pe=F1a?= <jfs@computer.org> writes:

> This patch has been recently announced in bugtraq and might be also 
> relevant.
> 
> Aside from providing these patches at debian/patches, is there any
> way they could be applied to the stock gcc-3.3 package?

Since they are against glibc and not gcc, I'd say no.

> http://www.cs.ucsb.edu/~wkr/projects/heap_protection/

-- 
	Falk



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#213994; Package gcc-3.3. Full text and rfc822 format available.

Acknowledgement sent to Javier Fernández-Sanguino Peña <jfs@computer.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 213994@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@computer.org>
To: Falk Hueffner <falk.hueffner@student.uni-tuebingen.de>
Cc: 213994@bugs.debian.org
Subject: Re: Bug#213994: Consider including this patch too [[ANNOUNCE] glibc heap protection patch]
Date: Wed, 3 Dec 2003 16:17:13 +0100
On Wed, Dec 03, 2003 at 02:03:50PM +0100, Falk Hueffner wrote:
> Javier =?iso-8859-15?Q?Fern=E1ndez-Sanguino_Pe=F1a?= <jfs@computer.org> writes:
> 
> > This patch has been recently announced in bugtraq and might be also 
> > relevant.
> > 
> > Aside from providing these patches at debian/patches, is there any
> > way they could be applied to the stock gcc-3.3 package?
> 
> Since they are against glibc and not gcc, I'd say no.

Sorry, read the announcement too fast. 

Regards

Javi



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#213994; Package gcc-3.3. Full text and rfc822 format available.

Acknowledgement sent to Daniel Jacobowitz <dan@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 213994@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <dan@debian.org>
To: Javier Fernández-Sanguino Peña <jfs@computer.org>, 213994@bugs.debian.org
Subject: Re: Bug#213994: Consider including this patch too [[ANNOUNCE] glibc heap protection patch]
Date: Wed, 3 Dec 2003 11:32:35 -0500
On Tue, Dec 02, 2003 at 10:15:41AM +0100, Javier Fernández-Sanguino Peña wrote:
> This patch has been recently announced in bugtraq and might be also 
> relevant.

This is a glibc patch, not a gcc patch.

Also, their approach is dubiously effective, it has non-negligible
performance impact, and they distinctly did not provide information
about the memory overhead (which can be substantial).  I would need a
lot more testing and a lot more analysis before considering such a
thing.

> Aside from providing these patches at debian/patches, is there any way they 
> could be applied to the stock gcc-3.3 package? As I understand it, in order 
> for these to be activated sources need to be compiled with an explicit 
> option. What harm is there in patching Debian's gcc-3.3? Any known issues 
> in some of our supported platforms?

They're large patches, with no testing on most architectures.  They
touch platform independent code.  If it really did do nothing without
the option, and we were convinced of that, then maybe they could be
applied - I'm not convinced.

> 
> Regards
> 
> Javi
> 
> 
> -------- Original Message --------
> Subject: [ANNOUNCE] glibc heap protection patch
> Date: Mon, 1 Dec 2003 11:31:03 -0800
> From: William Robertson <wkr@cs.ucsb.edu>
> To: sectools@securityfocus.com, bugtraq@securityfocus.com, 
> focus-ids@securityfocus.com
> 
> Hi all,
> 
> I'd just like to announce that we have a heap protection system for
> glibc available for download. The system detects and prevents all heap
> overflow exploits that modify inline control information from
> succeeding against a protected application, can be installed
> system-wide or on a per-process basis using LD_PRELOAD, and is
> transparent to existing applications.
> 
> We would definitely appreciate any feedback and bug reports on the
> code. The patch and some additional information is available at:
> 
> http://www.cs.ucsb.edu/~wkr/projects/heap_protection/
> 
> Enjoy!
> 
> --
> William Robertson
> Reliable Software Group, UC Santa Barbara
> http://www.cs.ucsb.edu/~wkr/



-- 
Daniel Jacobowitz
MontaVista Software                         Debian GNU/Linux Developer



Merged 213994 233208. Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: wontfix Request was from Falk Hueffner <falk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `gcc-3.3' to `gcc'. Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: wontfix Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed-in-experimental Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed-in-experimental Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Javier Fernández-Sanguino Peña <jfs@computer.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #54 received at 213994-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 213994-close@bugs.debian.org
Subject: Bug#213994: fixed in gcc-4.1 4.1.1-8
Date: Sun, 09 Jul 2006 10:47:24 -0700
Source: gcc-4.1
Source-Version: 4.1.1-8

We believe that the bug you reported is fixed in the latest version of
gcc-4.1, which is due to be installed in the Debian FTP archive:

cpp-4.1-doc_4.1.1-8_all.deb
  to pool/main/g/gcc-4.1/cpp-4.1-doc_4.1.1-8_all.deb
cpp-4.1_4.1.1-8_i386.deb
  to pool/main/g/gcc-4.1/cpp-4.1_4.1.1-8_i386.deb
cpp-4.1_4.1.1-8_powerpc.deb
  to pool/main/g/gcc-4.1/cpp-4.1_4.1.1-8_powerpc.deb
fastjar_4.1.1-8_i386.deb
  to pool/main/g/gcc-4.1/fastjar_4.1.1-8_i386.deb
fastjar_4.1.1-8_powerpc.deb
  to pool/main/g/gcc-4.1/fastjar_4.1.1-8_powerpc.deb
fixincludes_4.1.1-8_i386.deb
  to pool/main/g/gcc-4.1/fixincludes_4.1.1-8_i386.deb
fixincludes_4.1.1-8_powerpc.deb
  to pool/main/g/gcc-4.1/fixincludes_4.1.1-8_powerpc.deb
g++-4.1_4.1.1-8_i386.deb
  to pool/main/g/gcc-4.1/g++-4.1_4.1.1-8_i386.deb
g++-4.1_4.1.1-8_powerpc.deb
  to pool/main/g/gcc-4.1/g++-4.1_4.1.1-8_powerpc.deb
gcc-4.1-base_4.1.1-8_i386.deb
  to pool/main/g/gcc-4.1/gcc-4.1-base_4.1.1-8_i386.deb
gcc-4.1-base_4.1.1-8_powerpc.deb
  to pool/main/g/gcc-4.1/gcc-4.1-base_4.1.1-8_powerpc.deb
gcc-4.1-doc_4.1.1-8_all.deb
  to pool/main/g/gcc-4.1/gcc-4.1-doc_4.1.1-8_all.deb
gcc-4.1-locales_4.1.1-8_all.deb
  to pool/main/g/gcc-4.1/gcc-4.1-locales_4.1.1-8_all.deb
gcc-4.1-source_4.1.1-8_all.deb
  to pool/main/g/gcc-4.1/gcc-4.1-source_4.1.1-8_all.deb
gcc-4.1_4.1.1-8.diff.gz
  to pool/main/g/gcc-4.1/gcc-4.1_4.1.1-8.diff.gz
gcc-4.1_4.1.1-8.dsc
  to pool/main/g/gcc-4.1/gcc-4.1_4.1.1-8.dsc
gcc-4.1_4.1.1-8_i386.deb
  to pool/main/g/gcc-4.1/gcc-4.1_4.1.1-8_i386.deb
gcc-4.1_4.1.1-8_powerpc.deb
  to pool/main/g/gcc-4.1/gcc-4.1_4.1.1-8_powerpc.deb
gfortran-4.1-doc_4.1.1-8_all.deb
  to pool/main/g/gcc-4.1/gfortran-4.1-doc_4.1.1-8_all.deb
gfortran-4.1_4.1.1-8_i386.deb
  to pool/main/g/gcc-4.1/gfortran-4.1_4.1.1-8_i386.deb
gfortran-4.1_4.1.1-8_powerpc.deb
  to pool/main/g/gcc-4.1/gfortran-4.1_4.1.1-8_powerpc.deb
gnat-4.1-doc_4.1.1-8_all.deb
  to pool/main/g/gcc-4.1/gnat-4.1-doc_4.1.1-8_all.deb
gnat-4.1_4.1.1-8_i386.deb
  to pool/main/g/gcc-4.1/gnat-4.1_4.1.1-8_i386.deb
gnat-4.1_4.1.1-8_powerpc.deb
  to pool/main/g/gcc-4.1/gnat-4.1_4.1.1-8_powerpc.deb
gobjc++-4.1_4.1.1-8_i386.deb
  to pool/main/g/gcc-4.1/gobjc++-4.1_4.1.1-8_i386.deb
gobjc++-4.1_4.1.1-8_powerpc.deb
  to pool/main/g/gcc-4.1/gobjc++-4.1_4.1.1-8_powerpc.deb
gobjc-4.1_4.1.1-8_i386.deb
  to pool/main/g/gcc-4.1/gobjc-4.1_4.1.1-8_i386.deb
gobjc-4.1_4.1.1-8_powerpc.deb
  to pool/main/g/gcc-4.1/gobjc-4.1_4.1.1-8_powerpc.deb
lib64ffi4_4.1.1-8_i386.deb
  to pool/main/g/gcc-4.1/lib64ffi4_4.1.1-8_i386.deb
lib64ffi4_4.1.1-8_powerpc.deb
  to pool/main/g/gcc-4.1/lib64ffi4_4.1.1-8_powerpc.deb
lib64gcc1_4.1.1-8_i386.deb
  to pool/main/g/gcc-4.1/lib64gcc1_4.1.1-8_i386.deb
lib64gcc1_4.1.1-8_powerpc.deb
  to pool/main/g/gcc-4.1/lib64gcc1_4.1.1-8_powerpc.deb
lib64gfortran1_4.1.1-8_i386.deb
  to pool/main/g/gcc-4.1/lib64gfortran1_4.1.1-8_i386.deb
lib64gfortran1_4.1.1-8_powerpc.deb
  to pool/main/g/gcc-4.1/lib64gfortran1_4.1.1-8_powerpc.deb
lib64mudflap0_4.1.1-8_i386.deb
  to pool/main/g/gcc-4.1/lib64mudflap0_4.1.1-8_i386.deb
lib64mudflap0_4.1.1-8_powerpc.deb
  to pool/main/g/gcc-4.1/lib64mudflap0_4.1.1-8_powerpc.deb
lib64objc1_4.1.1-8_i386.deb
  to pool/main/g/gcc-4.1/lib64objc1_4.1.1-8_i386.deb
lib64objc1_4.1.1-8_powerpc.deb
  to pool/main/g/gcc-4.1/lib64objc1_4.1.1-8_powerpc.deb
lib64ssp0_4.1.1-8_i386.deb
  to pool/main/g/gcc-4.1/lib64ssp0_4.1.1-8_i386.deb
lib64ssp0_4.1.1-8_powerpc.deb
  to pool/main/g/gcc-4.1/lib64ssp0_4.1.1-8_powerpc.deb
lib64stdc++6-4.1-dbg_4.1.1-8_i386.deb
  to pool/main/g/gcc-4.1/lib64stdc++6-4.1-dbg_4.1.1-8_i386.deb
lib64stdc++6-4.1-dbg_4.1.1-8_powerpc.deb
  to pool/main/g/gcc-4.1/lib64stdc++6-4.1-dbg_4.1.1-8_powerpc.deb
lib64stdc++6_4.1.1-8_i386.deb
  to pool/main/g/gcc-4.1/lib64stdc++6_4.1.1-8_i386.deb
lib64stdc++6_4.1.1-8_powerpc.deb
  to pool/main/g/gcc-4.1/lib64stdc++6_4.1.1-8_powerpc.deb
libffi4-dev_4.1.1-8_i386.deb
  to pool/main/g/gcc-4.1/libffi4-dev_4.1.1-8_i386.deb
libffi4-dev_4.1.1-8_powerpc.deb
  to pool/main/g/gcc-4.1/libffi4-dev_4.1.1-8_powerpc.deb
libffi4_4.1.1-8_i386.deb
  to pool/main/g/gcc-4.1/libffi4_4.1.1-8_i386.deb
libffi4_4.1.1-8_powerpc.deb
  to pool/main/g/gcc-4.1/libffi4_4.1.1-8_powerpc.deb
libgcc1_4.1.1-8_i386.deb
  to pool/main/g/gcc-4.1/libgcc1_4.1.1-8_i386.deb
libgcc1_4.1.1-8_powerpc.deb
  to pool/main/g/gcc-4.1/libgcc1_4.1.1-8_powerpc.deb
libgfortran1-dev_4.1.1-8_i386.deb
  to pool/main/g/gcc-4.1/libgfortran1-dev_4.1.1-8_i386.deb
libgfortran1-dev_4.1.1-8_powerpc.deb
  to pool/main/g/gcc-4.1/libgfortran1-dev_4.1.1-8_powerpc.deb
libgfortran1_4.1.1-8_i386.deb
  to pool/main/g/gcc-4.1/libgfortran1_4.1.1-8_i386.deb
libgfortran1_4.1.1-8_powerpc.deb
  to pool/main/g/gcc-4.1/libgfortran1_4.1.1-8_powerpc.deb
libgnat-4.1_4.1.1-8_i386.deb
  to pool/main/g/gcc-4.1/libgnat-4.1_4.1.1-8_i386.deb
libgnat-4.1_4.1.1-8_powerpc.deb
  to pool/main/g/gcc-4.1/libgnat-4.1_4.1.1-8_powerpc.deb
libgnatprj-dev_4.1.1-8_i386.deb
  to pool/main/g/gcc-4.1/libgnatprj-dev_4.1.1-8_i386.deb
libgnatprj-dev_4.1.1-8_powerpc.deb
  to pool/main/g/gcc-4.1/libgnatprj-dev_4.1.1-8_powerpc.deb
libgnatprj4.1_4.1.1-8_i386.deb
  to pool/main/g/gcc-4.1/libgnatprj4.1_4.1.1-8_i386.deb
libgnatprj4.1_4.1.1-8_powerpc.deb
  to pool/main/g/gcc-4.1/libgnatprj4.1_4.1.1-8_powerpc.deb
libgnatvsn-dev_4.1.1-8_i386.deb
  to pool/main/g/gcc-4.1/libgnatvsn-dev_4.1.1-8_i386.deb
libgnatvsn-dev_4.1.1-8_powerpc.deb
  to pool/main/g/gcc-4.1/libgnatvsn-dev_4.1.1-8_powerpc.deb
libgnatvsn4.1_4.1.1-8_i386.deb
  to pool/main/g/gcc-4.1/libgnatvsn4.1_4.1.1-8_i386.deb
libgnatvsn4.1_4.1.1-8_powerpc.deb
  to pool/main/g/gcc-4.1/libgnatvsn4.1_4.1.1-8_powerpc.deb
libmudflap0-dev_4.1.1-8_i386.deb
  to pool/main/g/gcc-4.1/libmudflap0-dev_4.1.1-8_i386.deb
libmudflap0-dev_4.1.1-8_powerpc.deb
  to pool/main/g/gcc-4.1/libmudflap0-dev_4.1.1-8_powerpc.deb
libmudflap0_4.1.1-8_i386.deb
  to pool/main/g/gcc-4.1/libmudflap0_4.1.1-8_i386.deb
libmudflap0_4.1.1-8_powerpc.deb
  to pool/main/g/gcc-4.1/libmudflap0_4.1.1-8_powerpc.deb
libobjc1_4.1.1-8_i386.deb
  to pool/main/g/gcc-4.1/libobjc1_4.1.1-8_i386.deb
libobjc1_4.1.1-8_powerpc.deb
  to pool/main/g/gcc-4.1/libobjc1_4.1.1-8_powerpc.deb
libssp0_4.1.1-8_i386.deb
  to pool/main/g/gcc-4.1/libssp0_4.1.1-8_i386.deb
libssp0_4.1.1-8_powerpc.deb
  to pool/main/g/gcc-4.1/libssp0_4.1.1-8_powerpc.deb
libstdc++6-4.1-dbg_4.1.1-8_i386.deb
  to pool/main/g/gcc-4.1/libstdc++6-4.1-dbg_4.1.1-8_i386.deb
libstdc++6-4.1-dbg_4.1.1-8_powerpc.deb
  to pool/main/g/gcc-4.1/libstdc++6-4.1-dbg_4.1.1-8_powerpc.deb
libstdc++6-4.1-dev_4.1.1-8_i386.deb
  to pool/main/g/gcc-4.1/libstdc++6-4.1-dev_4.1.1-8_i386.deb
libstdc++6-4.1-dev_4.1.1-8_powerpc.deb
  to pool/main/g/gcc-4.1/libstdc++6-4.1-dev_4.1.1-8_powerpc.deb
libstdc++6-4.1-doc_4.1.1-8_all.deb
  to pool/main/g/gcc-4.1/libstdc++6-4.1-doc_4.1.1-8_all.deb
libstdc++6-4.1-pic_4.1.1-8_i386.deb
  to pool/main/g/gcc-4.1/libstdc++6-4.1-pic_4.1.1-8_i386.deb
libstdc++6-4.1-pic_4.1.1-8_powerpc.deb
  to pool/main/g/gcc-4.1/libstdc++6-4.1-pic_4.1.1-8_powerpc.deb
libstdc++6_4.1.1-8_i386.deb
  to pool/main/g/gcc-4.1/libstdc++6_4.1.1-8_i386.deb
libstdc++6_4.1.1-8_powerpc.deb
  to pool/main/g/gcc-4.1/libstdc++6_4.1.1-8_powerpc.deb
protoize_4.1.1-8_i386.deb
  to pool/main/g/gcc-4.1/protoize_4.1.1-8_i386.deb
protoize_4.1.1-8_powerpc.deb
  to pool/main/g/gcc-4.1/protoize_4.1.1-8_powerpc.deb
treelang-4.1_4.1.1-8_i386.deb
  to pool/main/g/gcc-4.1/treelang-4.1_4.1.1-8_i386.deb
treelang-4.1_4.1.1-8_powerpc.deb
  to pool/main/g/gcc-4.1/treelang-4.1_4.1.1-8_powerpc.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 213994@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated gcc-4.1 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat,  8 Jul 2006 16:24:47 +0200
Source: gcc-4.1
Binary: gcc-4.1-soft-float libstdc++6-4.1-pic libstdc++6 gnat-4.1-doc lib32ffi4 libobjc1 lib32gfortran1 gfortran-4.1 libgcc1 libstdc++6-4.1-doc lib64gfortran1 libgfortran1-dev libgcc2 lib64stdc++6-4.1-dbg g++-4.1 protoize gcc-4.1-base cpp-4.1 libgnatvsn-dev lib64stdc++6 gobjc++-4.1 libffi4 lib64ssp0 libgnatvsn4.1 libstdc++6-4.1-dbg lib64ffi4 libgfortran1 cpp-4.1-doc libgnatprj-dev libgnat-4.1 gfortran-4.1-doc lib32gcc1 libssp0 gcc-4.1-source libgcc4 lib64objc1 gobjc-4.1 gcc-4.1 lib32objc1 lib32stdc++6-4.1-dbg libstdc++6-4.1-dev libffi4-dev gcc-4.1-doc gcc-4.1-locales lib32mudflap0 libgnatprj4.1 treelang-4.1 lib64gcc1 fastjar gnat-4.1 fixincludes libmudflap0-dev lib32stdc++6 libmudflap0 lib32ssp0 lib64mudflap0 gcc-4.1-hppa64
Architecture: all i386 powerpc source 
Version: 4.1.1-8
Distribution: unstable
Urgency: medium
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 cpp-4.1    - The GNU C preprocessor
 fastjar    - Jar creation utility
 fixincludes - Fix non-ANSI header files
 g++-4.1    - The GNU C++ compiler
 gcc-4.1    - The GNU C compiler
 gcc-4.1-base - The GNU Compiler Collection (base package)
 gfortran-4.1 - The GNU Fortran 95 compiler
 gnat-4.1   - The GNU Ada compiler
 gobjc++-4.1 - The GNU Objective-C++ compiler
 gobjc-4.1  - The GNU Objective-C compiler
 lib64ffi4  - Foreign Function Interface library runtime (64bit)
 lib64gcc1  - GCC support library (64bit)
 lib64gfortran1 - Runtime library for GNU Fortran applications (64bit)
 lib64mudflap0 - GCC mudflap shared support libraries (64bit)
 lib64objc1 - Runtime library for GNU Objective-C applications (64bit)
 lib64ssp0  - GCC stack smashing protection library (64bit)
 lib64stdc++6 - The GNU Standard C++ Library v3 (64bit)
 lib64stdc++6-4.1-dbg - The GNU Standard C++ Library v3 (debugging files)
 libffi4    - Foreign Function Interface library runtime
 libffi4-dev - Foreign Function Interface library (development files)
 libgcc1    - GCC support library
 libgfortran1 - Runtime library for GNU Fortran applications
 libgfortran1-dev - GNU Fortran library development
 libgnat-4.1 - Runtime library for GNU Ada applications
 libgnatprj-dev - GNU Ada Project Manager development files
 libgnatprj4.1 - GNU Ada Project Manager
 libgnatvsn-dev - GNU Ada compiler version library - development files
 libgnatvsn4.1 - GNU Ada compiler version library
 libmudflap0 - GCC mudflap shared support libraries
 libmudflap0-dev - GCC mudflap support libraries (development files)
 libobjc1   - Runtime library for GNU Objective-C applications
 libssp0    - GCC stack smashing protection library
 libstdc++6 - The GNU Standard C++ Library v3
 libstdc++6-4.1-dbg - The GNU Standard C++ Library v3 (debugging files)
 libstdc++6-4.1-dev - The GNU Standard C++ Library v3 (development files)
 libstdc++6-4.1-pic - The GNU Standard C++ Library v3 (shared library subset kit)
 protoize   - Create/remove ANSI prototypes from C code
 treelang-4.1 - The GNU Treelang compiler
Closes: 26864 66175 165635 171477 213994 227193 228645 228645 233208 243795 243796 243797 243799 243800 243801 243802 243803 243807 243812 243816 244225 244483 244496 244894 244940 244945 246188 246388 246389 247014 247015 247016 247021 247022 247562 247563 247565 247567 247568 247572 247573 248171 248174 248677 248679 248686 251266 263498 267788 269775 274942 276225 276226 276843 296047 306833 314704 314706 317455 319309 320398 321486 322849 323016 324502 330279 331150 333536 333564 333733 335078 335650 336225 336915 337510 342121 343112 343692 344265 344986 347601 349087 351786 353366 353618 355297 356435 360906 362840 364412 369547 369642 369817 370681 374535 375140 376412 376660 377012
Changes: 
 gcc-4.1 (4.1.1-8) unstable; urgency=medium
 .
   * Update to SVN 20060708.
     - Fix typo in gcov documentation. Closes: #375140.
     - Fix typo in gccint documentation. Closes: #376412.
     - [alpha], Fix -fvisibility-inlines-hidden segfaults on reference to
       static method. PR target/27082. Closes: #369642.
 .
   * Fix ppc64 architecture string in debian/multiarch.inc. Closes: #374535.
   * Fix conflict, replace and provide libssp0-dev for cross compilers.
     Closes: #377012.
   * Ignore compiler warnings when checking whether compiler driver understands
     Ada fails. Closes: #376660.
   * Backport fix for PR libmudflap/26864 from the trunk. Closes: #26864.
   * README.C++: Remove non-existing URL. Closes: #347601.
   * gij-4.1: Provide java2-runtime. Closes: #360906.
 .
   * Closed reports reported against gcc-3.0 and fixed in gcc-4.1:
     - C++
       + PR libstdc++/13943, call of overloaded `llabs(int)' is ambiguous.
         Closes: #228645.
     - Java
       + Fixed segmentation fault on compiling bad program. Closes: #165635
   * Closed reports reported against gcc-3.3 and fixed in gcc-4.1:
     - Stack protector available. Closes: #213994, #233208.
     - Better documentation of -finline-limit option. Closes: #296047.
   * Closed reports reported against gcc-3.4 and fixed in gcc-4.1:
     - General
       + Fixed [unit-at-a-time] Using -O2 cannot detect missing return
         statement in a function. Closes: #276843.
     - C++
       + PR13943, call of overloaded `llabs(int)' is ambiguous. Closes: #228645.
       + PR c++/21280, #pragma interface, templates, and "inline function used
         but never defined". Closes: #364412.
     - Architecture specific:
       - m68k
         + Segfault building glibc. Closes: #353618.
         + ICE when trying to build boost. Closes: #321486.
   * Closed reports reported against gcc-4.0 and fixed in gcc-4.1:
     - General
       + Handling of #pragma GCC visibility for builtin functions.
         Closes: #330279.
       + gettext interpretation the two conditional strings as one.
         Closes: #227193.
       + ICE due to if-conversion. Closes: #335078.
       + Fix unaligned accesses with __attribute__(packed) and memcpy.
         Closes: #355297.
       + Fix ICE in expand_expr_real_1, at expr.c. Closes: #369817.
     - Ada
       + Link error not finding -laddr2line. Closes: #322849.
       + ICE on invalid code. Closes: #333564.
     - C++
       + libstdc++: bad thousand separator with fr_FR.UTF-8. Closes: #351786.
       + The Compiler uses less memory than 4.0. Closes: #336225.
       + Fix "fails to compare reverse map iterators". Closes: #362840.
       + Fix "fail to generate code for base destructor defined inline with
         pragma interface". Closes: #356435.
       + Fix ICE in cp_expr_size, at cp/cp-objcp-common.c. Closes: #317455.
       + Fix wrong warning: control may reach end of non-void function.
         Closes: #319309.
       + Fix bogus warning "statement has no effect" with template and
         statement-expression. Closes: #336915.
       + Fixed segfault on syntax error. Closes: #349087.
       + Fix ICE with __builtin_constant_p in template argument.
         Closes: #353366.
       + Implement DR280 (fixing "no operator!= for const_reverse_iterator").
         Closes: #244894.
     - Fortran
       + Fix wrong behaviour in unformatted writing. Closes: #369547.
     - Java
       + Fixed segfault on -fdump-tree-all-all. Closes: #344265.
       + Fixed ant code completion in eclipse generating a nullpointer
         exception. Closes: #337510.
       + Fixed abort in gnu_java_awt_peer_gtk_GtkImage.c. Closes: #343112.
       + Fixed assertion failure in gij with rhdb-explain. Closes: #335650.
       + Fixed assertion failure when calling JTabbedPane.addTab(null, ...).
         Closes: #314704.
       + Fixed error when displaying empty window with bound larger than the
         displayed content. Closes: #324502.
       + Fixed: Exception in JComboBox.removeAllItems(). Closes: #314706.
       + Fixed assertian error in gnu_java_awt_peer_gtk_GtkImage.c.
         Closes: #333733.
     - libmudflap
       + PR libmudflap/23170, libmudflap should not use functions marked
         obsolescent by POSIX/SUS. Closes: #320398.
     - Architecture specific:
       - m68k
         + FTBFS building tin. Closes: #323016.
         + ICE with -g -fomit-frame-pointer. Closes: #331150.
         + ICE in instantiate_virtual_regs_lossage. Closes: #333536.
         + Wrong code generation with loop unrolling. Closes: #342121.
         + ICEs while building gst-ffmpeg. Closes: #343692.
       - mips
         + Fix gjdoc build failure. Closes: #344986.
         + Fix link failure for static libs and object files when xgot
           needs to be used. Closes: #274942.
   * gnat bug reports fixed since gnat-3.15p:
     - GNAT miscounts UTF8 characters in string with -gnaty. Closes: #66175.
     - Bug box from "with Text_IO" when compiling optimized. Closes: #243795.
     - Nonconforming parameter lists not detected. Closes: #243796.
     - Illegal use clause not detected. Closes: #243797.
     - Compiler enters infinite loop on illegal program with tagged records.
       Closes: #243799.
     - Compiler crashes on illegal program (missing discriminant, unconstrained
       parent). Closes: #243800.
     - Bug box at sinfo.adb:1215 on illegal program. Closes: #243801.
     - Bug box at sinfo.adb:1651 on illegal program. Closes: #243802.
     - Illegal program not detected (entry families). Closes: #243803.
     - Illegal program not detected, RM 10.1.1(14). Closes: #243807.
     - Bug box at exp_ch9.adb:7254 on illegal code. Closes: #243812.
     - Illegal program not detected, RM 4.1.4(14). Closes: #243816.
     - Bug box in Gigi, code=116, on legal program. Closes: #244225.
     - Illegal program not detected, 12.7(10) (generic parameter is visible,
       shouldn't be). Closes: #244483.
     - Illegal program not detected, ambiguous aggregate. Closes: #244496.
     - Bug box at sem_ch3.adb:8003. Closes: #244940.
     - Bug box in Gigi, code=103, on illegal program. Closes: #244945.
     - Legal program rejected, overloaded procedures. Closes: #246188.
     - Bug box in Gigi, code=999, on legal program. Closes: #246388.
     - Illegal program not detected, RM 10.1.6(3). Closes: #246389.
     - Illegal program not detected, RM 3.10.2(24). Closes: #247014.
     - Illegal program not detected, RM 3.9(17). Closes: #247015.
     - Legal program rejected. Closes: #247016.
     - Legal program rejected. Closes: #247021.
     - Illegal program not detected, RM 4.7(3). Closes: #247022.
     - Illegal program not detected, RM 3.10.2(27). Closes: #247562.
     - Legal program rejected, "limited type has no stream attributes".
       Closes: #247563.
     - Wrong output from legal program. Closes: #247565.
     - Compiler enters infinite loop on illegal program. Closes: #247567.
     - Illegal program not detected, RM 8.6(31). Closes: #247568.
     - Legal program rejected, visible declaration not seen. Closes: #247572.
     - Illegal program not detected, RM 8.2(9). Closes: #247573.
     - Wrong output from legal program, dereferencing access all T'Class.
       Closes: #248171.
     - Compiler crashes on illegal program, RM 5.2(6). Closes: #248174.
     - Cannot find generic package body, RM 1.1.3(4). Closes: #248677.
     - Illegal program not detected, RM 3.4.1(5). Closes: #248679.
     - Compiler ignores legal override of abstract subprogram. Closes: #248686.
     - Bug box, Assert_Failure at sinfo.adb:2365 on illegal program.
       Closes: #251266.
     - Ada.Numerics.Generic_Elementary_Functions.Log erroneout with -gnatN.
       Closes: #263498.
     - Bug box, Assert_Failure at atree.adb:2906 or Gigi abort, code=102
       with -gnat -gnatc. Closes: #267788.
     - Bug box in Gigi, code=116, 'Unrestricted_Access of a protected
       subprogram. Closes: #269775.
     - Stack overflow on illegal program, AI-306. Closes: #276225.
     - Illegal program not detected, RM B.1(24). Closes: #276226.
     - Wrong code generated with -O -fPIC. Closes: #306833.
     - Obsolete: bashism's in debian/rules file. Closes: #370681.
     - Supports more debian architectures. Closes: #171477.
Files: 
 03f9746700f5db1cdb09c2e29d48fe04 4530 libs optional lib64ssp0_4.1.1-8_i386.deb
 0899d524c59f9661f03ab3fe842b7ba0 2851034 devel standard g++-4.1_4.1.1-8_powerpc.deb
 0c6b65a11bf9b02fc6f891ac684c0d2a 7367520 doc optional libstdc++6-4.1-doc_4.1.1-8_all.deb
 0d4bf479223c050306ec32259fd65c6e 142264 doc optional gfortran-4.1-doc_4.1.1-8_all.deb
 0ed7e233f80aa2c1f496685684ae4d1e 2589098 devel optional gobjc-4.1_4.1.1-8_powerpc.deb
 0fdbbf9bcd16c667b6d38d964a1d9e47 2520842 devel optional gobjc++-4.1_4.1.1-8_i386.deb
 105459966474f1de7775f37bc4511d40 15178 libdevel optional libffi4-dev_4.1.1-8_i386.deb
 1110802b2c8ad85f628932af1e4034e3 2225556 devel optional treelang-4.1_4.1.1-8_i386.deb
 18027571c220b1d91445d814ce55c8a8 368106 libdevel optional libgfortran1-dev_4.1.1-8_powerpc.deb
 1905177b28cbe4714ef83b6e2a304f4c 90914 libs optional lib64mudflap0_4.1.1-8_i386.deb
 1cdbc42a4bcdf0f1da68e3029d0113f8 139400 libs optional libobjc1_4.1.1-8_powerpc.deb
 1e2fb3022b6030ee1438961ae69aabde 51466 libs optional lib64objc1_4.1.1-8_powerpc.deb
 241fc86db2d8410cd8e1c1a9660373bb 40474558 devel optional gcc-4.1-source_4.1.1-8_all.deb
 258982a9ddae67774f54cc32d6f24a1b 289916 libs optional libgnatvsn4.1_4.1.1-8_i386.deb
 29f471941bbdbeb777bac36f8fb9407b 2605926 devel standard g++-4.1_4.1.1-8_i386.deb
 2de75dcf1d0b2683066d6143c6a88cf2 140360 devel optional fastjar_4.1.1-8_i386.deb
 322036def8b3a30b5dcf47a7110b8a7b 2340510 interpreters standard cpp-4.1_4.1.1-8_i386.deb
 36b379408e200e828cb3fc11c4a8ab40 606612 devel standard gcc-4.1_4.1.1-8_i386.deb
 3c6623b0b8c923947036f9362aac3995 2438658 devel optional treelang-4.1_4.1.1-8_powerpc.deb
 433cbcc8f63090dbd84d796ad1d07e9f 82216 devel optional fixincludes_4.1.1-8_i386.deb
 43dbaf53729a1a0071cdad8bd3281720 5732 libs optional lib64ssp0_4.1.1-8_powerpc.deb
 47572ce03de0e7bac160b1c79db65b1e 145102 devel optional fastjar_4.1.1-8_powerpc.deb
 48a1dccd90655c394555e8abf5ce19a0 1545410 libdevel optional libgnatprj-dev_4.1.1-8_i386.deb
 4d7fa9d9636a3d143d643fe03c60af2b 1590746 libdevel optional libgnatvsn-dev_4.1.1-8_powerpc.deb
 4fca8181c0e22519ef36a83c1e25d27d 1396694 devel optional gcc-4.1-locales_4.1.1-8_all.deb
 51fd67c6a0034cd3043a62c348b60813 4876 libs standard libssp0_4.1.1-8_powerpc.deb
 53c4bdac4258576a51ca18a6d1934821 21354 libs required libgcc1_4.1.1-8_i386.deb
 557689a8844dcc08864ef253bf6df7d7 969748 libs optional libgnat-4.1_4.1.1-8_powerpc.deb
 55fa789b5150b418a1336d754ccb99db 295758 libs required libstdc++6_4.1.1-8_powerpc.deb
 5801684d4340fc4d932432713fc2d3b4 3862902 libdevel extra libstdc++6-4.1-dbg_4.1.1-8_powerpc.deb
 5c5d03d5e0459219dee4d8eba7f92e44 18846 libdevel optional libffi4-dev_4.1.1-8_powerpc.deb
 603025a1f34139b677666e0fe862e430 7582298 devel optional gnat-4.1_4.1.1-8_i386.deb
 63a953172e52c908df90c3c0cbdb29fc 416624 libs optional libgnatprj4.1_4.1.1-8_i386.deb
 33a40c5a7506f02344f33b1d5b8e55d5 2579 devel standard gcc-4.1_4.1.1-8.dsc
 6a295c8d5d6793b65b5ddde20acd0a85 2354292 devel optional gobjc-4.1_4.1.1-8_i386.deb
 6d1287a322b086d696b3fc464f36855a 1718728 libdevel optional libgnatprj-dev_4.1.1-8_powerpc.deb
 736988bb22103b63b32b274215912a7a 2747870 devel optional gfortran-4.1_4.1.1-8_powerpc.deb
 7475f786c3cb165ace14234f866a4c4e 197318 libdevel optional libmudflap0-dev_4.1.1-8_i386.deb
 74c993c0307f4a96a3e2ab51a02924ba 172768 libs optional libmudflap0_4.1.1-8_powerpc.deb
 74edf477a4aa6ba1d676830a1e96c562 291386 libs required libstdc++6_4.1.1-8_i386.deb
 752b31c7cd98eb0a65c992730a95f899 164156 libs optional libmudflap0_4.1.1-8_i386.deb
 7d3787eb62f5e794c66b0dba825b836f 332022 libs optional lib64stdc++6_4.1.1-8_powerpc.deb
 7e8ffc58e0b48f49b8bc6b82c86a8e0a 2572212 interpreters standard cpp-4.1_4.1.1-8_powerpc.deb
 7ff86aff64dbe17b20f20923763a0981 1653978 doc optional gcc-4.1-doc_4.1.1-8_all.deb
 80e9ebcf183e347302081b6027686bdc 1628746 libdevel standard libstdc++6-4.1-dev_4.1.1-8_i386.deb
 868b339134c840e6d688b9119b2a0521 2513812 devel optional gfortran-4.1_4.1.1-8_i386.deb
 8934585a46fd109f5f2a54b72623b1ab 43328 libs optional lib64objc1_4.1.1-8_i386.deb
 8ba8bed1df6ddbf0a8553fd68a3a7947 163848 libs optional lib64gfortran1_4.1.1-8_powerpc.deb
 957bf4520c44bf680557291b8af601bd 184458 doc optional cpp-4.1-doc_4.1.1-8_all.deb
 973f1a2c1e2f629f89921c43107c60f9 107974 libs optional libffi4_4.1.1-8_powerpc.deb
 98021c9c401beb2ed33178ef9c34d4ec 3707442 libdevel extra libstdc++6-4.1-dbg_4.1.1-8_i386.deb
 9a32853c3141509f12d943604d1d4cab 1532206 devel standard gcc-4.1_4.1.1-8.diff.gz
 9bb358a5ec4b918dcf082e8135a4238c 131898 libs optional libgfortran1_4.1.1-8_powerpc.deb
 9c3703e24ce51ea30311a5f55376bf73 1709912 libdevel standard libstdc++6-4.1-dev_4.1.1-8_powerpc.deb
 9c6db128628ecd4988d947bcfaea9ec3 176430 libs optional lib64gfortran1_4.1.1-8_i386.deb
 9f89f4238240e540780e6bb531e88cba 46506 devel optional protoize_4.1.1-8_powerpc.deb
 a14d1fa67bae39bf007f6441337bb675 289426 libs optional libgnatvsn4.1_4.1.1-8_powerpc.deb
 a21e9ba7ff2e1988e24ba0fdff9cb269 976728 libdevel extra libstdc++6-4.1-pic_4.1.1-8_powerpc.deb
 a5be1170dfa67ebb37d4b7b1fac05ce9 7502 libs optional lib64ffi4_4.1.1-8_i386.deb
 afde051c261394cbc19928dd72302b43 918412 libdevel extra libstdc++6-4.1-pic_4.1.1-8_i386.deb
 b381ba36a5b24851493ad44868047200 8882 libs optional lib64ffi4_4.1.1-8_powerpc.deb
 b9f02c87026b194c6da880dcb068fe17 31290 libs optional lib64gcc1_4.1.1-8_powerpc.deb
 bf21c632780f0da51a19d360bca21187 293592 libs optional lib64stdc++6_4.1.1-8_i386.deb
 c2f8831ef70726db68f96ea02c4d2da7 932472 libs optional libgnat-4.1_4.1.1-8_i386.deb
 c45299d9e6cd584a55550d58bc0ff90f 33906 libs required libgcc1_4.1.1-8_powerpc.deb
 c47e79fa327864be53c63f11addec27a 156060 libs optional libgfortran1_4.1.1-8_i386.deb
 ca565822faea76731a114642e4838fb3 955226 doc optional gnat-4.1-doc_4.1.1-8_all.deb
 ce2fa74bb92c448e7cdc9a75d8a9d6ab 425172 libs optional libgnatprj4.1_4.1.1-8_powerpc.deb
 d7e1d0eb2d4b74511a7a1177249cc3db 1181430 libdevel extra lib64stdc++6-4.1-dbg_4.1.1-8_i386.deb
 d9736203152c3f672f17b7b05e13737b 136656 libs optional libobjc1_4.1.1-8_i386.deb
 db6407434580058fcd5db4a23f464c82 78864 devel optional fixincludes_4.1.1-8_powerpc.deb
 dc375dbcdfb81544e1b79edf59328099 192962 libs required gcc-4.1-base_4.1.1-8_powerpc.deb
 dc69862e987021eb6c7a4a0c77949fbe 8110490 devel optional gnat-4.1_4.1.1-8_powerpc.deb
 dd738deaa9aac856892074e64a628fb4 1422334 libdevel optional libgnatvsn-dev_4.1.1-8_i386.deb
 ef497be99d0cc1440b8e46680aff2984 39468 devel optional protoize_4.1.1-8_i386.deb
 f0bb2fe952a28294e5847b1419128eec 642808 devel standard gcc-4.1_4.1.1-8_powerpc.deb
 f15e310f9830ecc87da1e2faf284c998 192946 libs required gcc-4.1-base_4.1.1-8_i386.deb
 f25a3c7313ae5acd95cb5a36a9f559f6 2762972 devel optional gobjc++-4.1_4.1.1-8_powerpc.deb
 f2c83c1af83aa1b07e23584bd3734dd7 1261518 libdevel extra lib64stdc++6-4.1-dbg_4.1.1-8_powerpc.deb
 f609dadca6558a0673fa574e43c10f48 24410 libs optional lib64gcc1_4.1.1-8_i386.deb
 f78f7bbb16beff1553c896414143176c 103622 libs optional libffi4_4.1.1-8_i386.deb
 f7fa5ab5dcf882bf773bc54012e2101b 389944 libdevel optional libgfortran1-dev_4.1.1-8_i386.deb
 fb500a395574bb5e323c4e1f73d45d64 4488 libs standard libssp0_4.1.1-8_i386.deb
 ff7f78f5a20f4bd353d48d21daac5e3b 225214 libdevel optional libmudflap0-dev_4.1.1-8_powerpc.deb
 ffd8e7ae32d43a3968817c2cdd7dfdde 95882 libs optional lib64mudflap0_4.1.1-8_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2.2 (GNU/Linux)

iD8DBQFEsT2JStlRaw+TLJwRAonAAJ9zBuG6cEaLP8lU3l4J4IFjhRQqwwCfY6ES
dqVTBWetJVkZuE8vlUvigQs=
=nbH9
-----END PGP SIGNATURE-----




Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to thomas@northernsecurity.net:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 12:32:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:41:55 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.